> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sorsa.io/llms.txt
> Use this file to discover all available pages before exploring further.

# トレンド一覧

> 指定WOEID（地域識別子）のトレンドを返します。各項目に地域のトレンド名と検索条件を含み、場所ごとの人気の話題を監視できます。



## OpenAPI

````yaml /openapi-ja.json get /trends
openapi: 3.0.3
info:
  contact: {}
  title: Sorsa.io API
  version: '3.0'
servers:
  - url: https://api.sorsa.io/v3
security: []
paths:
  /trends:
    get:
      tags:
        - ツイート
      summary: トレンド一覧
      description: 指定WOEID（地域識別子）のトレンドを返します。各項目に地域のトレンド名と検索条件を含み、場所ごとの人気の話題を監視できます。
      parameters:
        - description: >-
            トレンドを取得する地域のWOEID（Where On Earth
            IDentifier）。一覧：https://gist.github.com/tedyblood/5bb5a9f78314cc1f478b3dd7cde790b9
          in: query
          name: woeid
          required: true
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.TrendsResponse'
          description: 成功
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: 不正なリクエスト
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: 認証失敗
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: アクセス拒否
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: 見つかりません
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: 内部サーバーエラー
      security:
        - ApiKeyAuth: []
components:
  schemas:
    common.TrendsResponse:
      properties:
        trends:
          items:
            $ref: '#/components/schemas/common.Trend'
          type: array
      type: object
    handler.ErrorResponse:
      properties:
        message:
          type: string
      type: object
    common.Trend:
      properties:
        name:
          type: string
        query:
          type: string
        url:
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: ApiKey
      type: apiKey

````